> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Play Fab IDs From Google Play Games Player IDs

> Retrieves the unique PlayFab identifiers for the given set of Google Play Games identifiers. The Google Play Games identifiers are the IDs for the user accounts, available as "playerId" in the Google Play Games Services - Players API calls.



## OpenAPI

````yaml /services/playfab/api-references/rest/client/client.openapi.json post /Client/GetPlayFabIDsFromGooglePlayGamesPlayerIDs
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Client API
  description: >-
    APIs which provide the full range of PlayFab features available to the
    client - authentication, account and data management, inventory, friends,
    matchmaking, reporting, and platform-specific functionality
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Advertising
    description: Advertising APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Trading
    description: Trading Management APIs
paths:
  /Client/GetPlayFabIDsFromGooglePlayGamesPlayerIDs:
    post:
      tags:
        - Account Management
      summary: Get Play Fab IDs From Google Play Games Player IDs
      description: >-
        Retrieves the unique PlayFab identifiers for the given set of Google
        Play Games identifiers. The Google Play Games identifiers are the IDs
        for the user accounts, available as "playerId" in the Google Play Games
        Services - Players API calls.
      operationId: GetPlayFabIDsFromGooglePlayGamesPlayerIDs
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/GetPlayFabIDsFromGooglePlayGamesPlayerIDsRequest
      responses:
        '200':
          $ref: >-
            #/components/responses/GetPlayFabIDsFromGooglePlayGamesPlayerIDsResult
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SessionTicket: []
components:
  schemas:
    GetPlayFabIDsFromGooglePlayGamesPlayerIDsRequest:
      type: object
      properties:
        GooglePlayGamesPlayerIDs:
          description: >-
            Array of unique Google Play Games identifiers (Google+ user IDs) for
            which the title needs to get PlayFab identifiers. The array cannot
            exceed 25 in length.
          type: array
          items:
            type: string
      required:
        - GooglePlayGamesPlayerIDs
      example:
        GooglePlayGamesPlayerIDs:
          - '857498576495'
          - '759374651209'
    GetPlayFabIDsFromGooglePlayGamesPlayerIDsResult:
      description: >-
        For Google Play Games identifiers which have not been linked to PlayFab
        accounts, null will be returned.
      type: object
      properties:
        Data:
          description: Mapping of Google Play Games identifiers to PlayFab identifiers.
          type: array
          items:
            $ref: '#/components/schemas/GooglePlayGamesPlayFabIdPair'
          x-isclass: true
      example:
        Data:
          - GooglePlayGamesPlayerId: '857498576495'
            PlayFabId: 5a446c83645201
          - GooglePlayGamesPlayerId: '759374651209'
            PlayFabId: 6345cd25a6c7cc
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    GooglePlayGamesPlayFabIdPair:
      type: object
      properties:
        GooglePlayGamesPlayerId:
          description: Unique Google Play Games identifier for a user.
          type: string
        PlayFabId:
          description: >-
            Unique PlayFab identifier for a user, or null if no PlayFab account
            is linked to the Google Play Games identifier.
          type: string
  responses:
    GetPlayFabIDsFromGooglePlayGamesPlayerIDsResult:
      description: >-
        For Google Play Games identifiers which have not been linked to PlayFab
        accounts, null will be returned.
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: >-
                  #/components/schemas/GetPlayFabIDsFromGooglePlayGamesPlayerIDsResult
            example:
              code: 200
              status: OK
              data:
                Data:
                  - GooglePlayGamesPlayerId: '857498576495'
                    PlayFabId: 5a446c83645201
                  - GooglePlayGamesPlayerId: '759374651209'
                    PlayFabId: 6345cd25a6c7cc
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SessionTicket:
      type: apiKey
      in: header
      name: X-Authorization
      description: >-
        This API requires a client session ticket, available from any Client
        Login function.

````

## Related topics

- [Get Play Fab I Ds From Google Play Games Player I Ds](/api-reference/account-management/get-play-fab-i-ds-from-google-play-games-player-i-ds.md)
- [Get Play Fab I Ds From Google I Ds](/api-reference/account-management/get-play-fab-i-ds-from-google-i-ds.md)
- [PFAccountManagementGetPlayFabIDsFromGooglePlayGamesPlayerIDsRequest](/services/playfab/api-references/c/pfaccountmanagementtypes/structs/pfaccountmanagementgetplayfabidsfromgoogleplaygamesplayeridsrequest.md)
- [PFAccountManagementClientGetPlayFabIDsFromGooglePlayGamesPlayerIDsAsync](/services/playfab/api-references/c/pfaccountmanagement/functions/pfaccountmanagementclientgetplayfabidsfromgoogleplaygamesplayeridsasync.md)
- [Get Play Fab I Ds From Game Center I Ds](/api-reference/account-management/get-play-fab-i-ds-from-game-center-i-ds.md)
